import { GlobalConfig } from '../config';
import { RunResult } from '../runResult';
import { SeedCollection, SeedStep } from '../types';
export interface ConstConfig {
    id: string;
    name: string;
    description?: string;
    ignoreFailure: boolean;
}
export declare class GenericSteps implements SeedCollection {
    id: string;
    name: string;
    description?: string;
    steps: SeedStep[];
    ignoreFailure: boolean;
    constructor(constConfig: ConstConfig, globalConfig: GlobalConfig, stepGenerator: (config: GlobalConfig) => Array<SeedStep>);
    run(): Promise<RunResult>;
}
